












Beta Observability Datasets Records Endpoints
(beta) Manage individual records within datasets.












Examples
Real world code examples
Get the content of a given conversation from a dataset
GET /v1/observability/dataset-records/{dataset_record_id}
dataset_record_id
200
Successful Response
created_at
dataset_id
deleted_at
id
properties
source
updated_at
Playground
Test the endpoints live
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.records.fetch(dataset_record_id="ce995349-abbf-45c0-be75-885fc1c4b4c0")
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.records.fetch(dataset_record_id="ce995349-abbf-45c0-be75-885fc1c4b4c0")
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"created_at": "2025-10-07T20:56:01.974Z",
"dataset_id": "ipsum eiusmod",
"deleted_at": null,
"id": "consequat do",
"payload": {
"messages": [
[
null
]
]
},
"properties": [
null
],
"source": "EXPLORER",
"updated_at": "2025-10-07T20:56:01.974Z"
}{
"created_at": "2025-10-07T20:56:01.974Z",
"dataset_id": "ipsum eiusmod",
"deleted_at": null,
"id": "consequat do",
"payload": {
"messages": [
[
null
]
]
},
"properties": [
null
],
"source": "EXPLORER",
"updated_at": "2025-10-07T20:56:01.974Z"
}Delete a record from a dataset
DELETE /v1/observability/dataset-records/{dataset_record_id}
dataset_record_id
Playground
Test the endpoints live
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.delete(dataset_record_id="799fed99-80b4-4a9a-a15e-05352b811702")
# Use the SDK ...
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.delete(dataset_record_id="799fed99-80b4-4a9a-a15e-05352b811702")
# Use the SDK ...
curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'Delete multiple records from datasets
POST /v1/observability/dataset-records/bulk-delete
dataset_record_ids
Playground
Test the endpoints live
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.bulk_delete(dataset_record_ids=[
"22fc78f7-e774-4ab5-b1ea-63852992ef31",
"1c533b4f-882e-4bd0-9ef6-9933b825f8b1",
])
# Use the SDK ...
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.bulk_delete(dataset_record_ids=[
"22fc78f7-e774-4ab5-b1ea-63852992ef31",
"1c533b4f-882e-4bd0-9ef6-9933b825f8b1",
])
# Use the SDK ...
curl https://api.mistral.ai/v1/observability/dataset-records/bulk-delete \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"dataset_record_ids": [
"ipsum eiusmod"
]
}'curl https://api.mistral.ai/v1/observability/dataset-records/bulk-delete \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"dataset_record_ids": [
"ipsum eiusmod"
]
}'Run Judge on a dataset record based on the given options
POST /v1/observability/dataset-records/{dataset_record_id}/live-judging
dataset_record_id
200
Successful Response
analysis
answer
Playground
Test the endpoints live
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.records.judge(dataset_record_id="9de5d7a1-787a-45dd-b668-9f3407e76d8b", judge_definition={
"name": "<value>",
"description": "wisely railway deceivingly arcade minion back what yowza outrun service",
"model_name": "<value>",
"output": {
"type": "CLASSIFICATION",
"options": [
{
"value": "<value>",
"description": "spork excluding without retrospectivity bah next yearly",
},
],
},
"instructions": "<value>",
"tools": [
"<value 1>",
],
})
# Handle response
print(res)
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
res = mistral.beta.observability.datasets.records.judge(dataset_record_id="9de5d7a1-787a-45dd-b668-9f3407e76d8b", judge_definition={
"name": "<value>",
"description": "wisely railway deceivingly arcade minion back what yowza outrun service",
"model_name": "<value>",
"output": {
"type": "CLASSIFICATION",
"options": [
{
"value": "<value>",
"description": "spork excluding without retrospectivity bah next yearly",
},
],
},
"instructions": "<value>",
"tools": [
"<value 1>",
],
})
# Handle response
print(res)
curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/live-judging \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"judge_definition": {
"description": "ipsum eiusmod",
"instructions": "consequat do",
"model_name": "reprehenderit ut dolore",
"name": "occaecat dolor sit",
"output": {
"options": [
{
"description": "nostrud",
"value": "aute aliqua aute commodo"
}
]
},
"tools": [
"irure"
]
}
}'curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/live-judging \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"judge_definition": {
"description": "ipsum eiusmod",
"instructions": "consequat do",
"model_name": "reprehenderit ut dolore",
"name": "occaecat dolor sit",
"output": {
"options": [
{
"description": "nostrud",
"value": "aute aliqua aute commodo"
}
]
},
"tools": [
"irure"
]
}
}'200
{
"analysis": "ipsum eiusmod",
"answer": "consequat do"
}{
"analysis": "ipsum eiusmod",
"answer": "consequat do"
}Update a dataset record conversation payload
PUT /v1/observability/dataset-records/{dataset_record_id}/payload
dataset_record_id
Playground
Test the endpoints live
from mistralai.client import Mistral, models
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.update_payload(dataset_record_id="17506b15-748e-4e7c-9737-c97c44d04b0f", payload=models.ConversationPayload(
messages=[
{
"key": "<value>",
},
{
},
{
"key": "<value>",
},
],
))
# Use the SDK ...
from mistralai.client import Mistral, models
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.update_payload(dataset_record_id="17506b15-748e-4e7c-9737-c97c44d04b0f", payload=models.ConversationPayload(
messages=[
{
"key": "<value>",
},
{
},
{
"key": "<value>",
},
],
))
# Use the SDK ...
curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/payload \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"payload": {
"messages": [
[
null
]
]
}
}'curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/payload \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"payload": {
"messages": [
[
null
]
]
}
}'Update conversation properties
PUT /v1/observability/dataset-records/{dataset_record_id}/properties
dataset_record_id
properties
Playground
Test the endpoints live
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.update_properties(dataset_record_id="a4deefc5-0905-427e-ad15-1090ef9e216d", properties={
"key": "<value>",
"key1": "<value>",
"key2": "<value>",
})
# Use the SDK ...
from mistralai.client import Mistral
import os
with Mistral(
api_key=os.getenv("MISTRAL_API_KEY", ""),
) as mistral:
mistral.beta.observability.datasets.records.update_properties(dataset_record_id="a4deefc5-0905-427e-ad15-1090ef9e216d", properties={
"key": "<value>",
"key1": "<value>",
"key2": "<value>",
})
# Use the SDK ...
curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/properties \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"properties": [
null
]
}'curl https://api.mistral.ai/v1/observability/dataset-records/{dataset_record_id}/properties \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"properties": [
null
]
}'